#property library

#import "drawing.ex4" 
 void Delete_Label(string name);
 void Create_Label(int x, int y, string name,string windowname);
 
string Time_Frame(int time)
{
   switch(time)
      {
      case 1:     return("M1");
      case 5:     return("M5");
      case 15:    return("M15");
      case 30:    return("M30");
      case 60:    return("H1");
      case 240:   return("H4");
      case 1440:  return("D1");
      case 7200:  return("W1");
      case 1080:  return("W1");
      case 40320: return("M1");
      case 41760: return("M1");
      case 43200: return("M1");
      case 44640: return("M1");
      default:     return("??");
      }
   return("??");
}  
 
int Sub_5MATL(int argTimeFrame1, int argTimeFrame2, int argTimeFrame3, 
                  int argTrendPeriod1, int argTrendPeriod2, int argTrendPeriod3, int argTrendPeriod4, int argTrendPeriod5,
                  int argPrice, int argMa_Method, bool Display, string argFormName = "" )
{
string chr232=CharToStr(232),chr233=CharToStr(233),chr234=CharToStr(234);
double MaH11v,  MaH41v, MaD11v, MaH1pr1v, MaH4pr1v, MaD1pr1v;
double MaH12v,  MaH42v, MaD12v, MaH1pr2v, MaH4pr2v, MaD1pr2v;
double MaH13v,  MaH43v, MaD13v, MaH1pr3v, MaH4pr3v, MaD1pr3v;
double MaH14v,  MaH44v, MaD14v, MaH1pr4v, MaH4pr4v, MaD1pr4v;
double MaH15v,  MaH45v, MaD15v, MaH1pr5v, MaH4pr5v, MaD1pr5v;
 
string H11v, H41v, D11v;
string H12v, H42v, D12v;
string H13v, H43v, D13v;
string H14v, H44v, D14v;
string H15v, H45v, D15v;
color co11v , co41v , co61v;
color co12v , co42v , co62v;
color co13v , co43v , co63v;
color co14v , co44v , co64v;
color co15v , co45v , co65v;
 
double u1x5v, u1x8v, u1x13v, u1x21v, u1x34v;
double u2x5v, u2x8v, u2x13v, u2x21v, u2x34v;
double u3x5v, u3x8v, u3x13v, u3x21v, u3x34v;
double u1acv, u2acv, u3acv;
 
double d1x5v, d1x8v, d1x13v, d1x21v, d1x34v;
double d2x5v, d2x8v, d2x13v, d2x21v, d2x34v;
double d3x5v, d3x8v, d3x13v, d3x21v, d3x34v;
double d1acv, d2acv, d3acv;
     
     MaH11v=iMA(NULL,argTimeFrame1,argTrendPeriod1,0,argMa_Method,argPrice,0);   MaH1pr1v=iMA(NULL,argTimeFrame1,argTrendPeriod1,0,argMa_Method,argPrice,1);
     MaH12v=iMA(NULL,argTimeFrame1,argTrendPeriod2,0,argMa_Method,argPrice,0);   MaH1pr2v=iMA(NULL,argTimeFrame1,argTrendPeriod2,0,argMa_Method,argPrice,1);
     MaH13v=iMA(NULL,argTimeFrame1,argTrendPeriod3,0,argMa_Method,argPrice,0);   MaH1pr3v=iMA(NULL,argTimeFrame1,argTrendPeriod3,0,argMa_Method,argPrice,1);
     MaH14v=iMA(NULL,argTimeFrame1,argTrendPeriod4,0,argMa_Method,argPrice,0);   MaH1pr4v=iMA(NULL,argTimeFrame1,argTrendPeriod4,0,argMa_Method,argPrice,1);
     MaH15v=iMA(NULL,argTimeFrame1,argTrendPeriod5,0,argMa_Method,argPrice,0);   MaH1pr5v=iMA(NULL,argTimeFrame1,argTrendPeriod5,0,argMa_Method,argPrice,1);
    
     MaH41v=iMA(NULL,argTimeFrame2,argTrendPeriod1,0,argMa_Method,argPrice,0);   MaH4pr1v=iMA(NULL,argTimeFrame2,argTrendPeriod1,0,argMa_Method,argPrice,1);
     MaH42v=iMA(NULL,argTimeFrame2,argTrendPeriod2,0,argMa_Method,argPrice,0);   MaH4pr2v=iMA(NULL,argTimeFrame2,argTrendPeriod2,0,argMa_Method,argPrice,1);
     MaH43v=iMA(NULL,argTimeFrame2,argTrendPeriod3,0,argMa_Method,argPrice,0);   MaH4pr3v=iMA(NULL,argTimeFrame2,argTrendPeriod3,0,argMa_Method,argPrice,1);
     MaH44v=iMA(NULL,argTimeFrame2,argTrendPeriod4,0,argMa_Method,argPrice,0);   MaH4pr4v=iMA(NULL,argTimeFrame2,argTrendPeriod4,0,argMa_Method,argPrice,1);
     MaH45v=iMA(NULL,argTimeFrame2,argTrendPeriod5,0,argMa_Method,argPrice,0);   MaH4pr5v=iMA(NULL,argTimeFrame2,argTrendPeriod5,0,argMa_Method,argPrice,1);
     
     MaD11v=iMA(NULL,argTimeFrame3,argTrendPeriod1,0,argMa_Method,argPrice,0);   MaD1pr1v=iMA(NULL,argTimeFrame3,argTrendPeriod1,0,argMa_Method,argPrice,1);
     MaD12v=iMA(NULL,argTimeFrame3,argTrendPeriod2,0,argMa_Method,argPrice,0);   MaD1pr2v=iMA(NULL,argTimeFrame3,argTrendPeriod2,0,argMa_Method,argPrice,1);
     MaD13v=iMA(NULL,argTimeFrame3,argTrendPeriod3,0,argMa_Method,argPrice,0);   MaD1pr3v=iMA(NULL,argTimeFrame3,argTrendPeriod3,0,argMa_Method,argPrice,1);
     MaD14v=iMA(NULL,argTimeFrame3,argTrendPeriod4,0,argMa_Method,argPrice,0);   MaD1pr4v=iMA(NULL,argTimeFrame3,argTrendPeriod4,0,argMa_Method,argPrice,1);
     MaD15v=iMA(NULL,argTimeFrame3,argTrendPeriod5,0,argMa_Method,argPrice,0);   MaD1pr5v=iMA(NULL,argTimeFrame3,argTrendPeriod5,0,argMa_Method,argPrice,1);
     
     if (MaH11v < MaH1pr1v){H11v = chr234;    co11v = Red;         u1x5v = 0; d1x5v = 1;}
     if (MaH11v > MaH1pr1v){H11v = chr233;    co11v = DodgerBlue;  u1x5v = 1; d1x5v = 0;}  
     if (MaH11v == MaH1pr1v){H11v = chr232;   co11v = Yellow;      u1x5v = 0; d1x5v = 0;}           
     if (MaH41v < MaH4pr1v){H41v = chr234;    co41v = Red;         u2x5v = 0; d2x5v = 1;}            
     if (MaH41v > MaH4pr1v){H41v = chr233;    co41v = DodgerBlue;  u2x5v = 1; d2x5v = 0;}
     if (MaH41v == MaH4pr1v){H41v = chr232;   co41v = Yellow;      u2x5v = 0; d2x5v = 0;}            
     if (MaD11v < MaD1pr1v){D11v = chr234;    co61v = Red;         u3x5v = 0; d3x5v = 1;}            
     if (MaD11v > MaD1pr1v){D11v = chr233;    co61v = DodgerBlue;  u3x5v = 1; d3x5v = 0;}
     if (MaD11v == MaD1pr1v){D11v = chr232;   co61v = Yellow;      u3x5v = 0; d3x5v = 0;}  
     
     if (MaH12v < MaH1pr2v){H12v = chr234;    co12v = Red;         u1x8v = 0; d1x8v = 1;}
     if (MaH12v > MaH1pr2v){H12v = chr233;    co12v = DodgerBlue;  u1x8v = 1; d1x8v = 0;}
     if (MaH12v == MaH1pr2v){H12v = chr232;   co12v = Yellow;      u1x8v = 0; d1x8v = 0;}            
     if (MaH42v < MaH4pr2v){H42v = chr234;    co42v = Red;         u2x8v = 0; d2x8v = 1;}            
     if (MaH42v > MaH4pr2v){H42v = chr233;    co42v = DodgerBlue;  u2x8v = 1; d2x8v = 0;} 
     if (MaH42v == MaH4pr2v){H42v = chr232;   co42v = Yellow;      u2x8v = 0; d2x8v = 0;}           
     if (MaD12v < MaD1pr2v){D12v = chr234;    co62v = Red;         u3x8v = 0; d3x8v = 1;}             
     if (MaD12v > MaD1pr2v){D12v = chr233;    co62v = DodgerBlue;  u3x8v = 1; d3x8v = 0;}
     if (MaD12v == MaD1pr2v){D12v = chr232;   co62v = Yellow;      u3x8v = 0; d3x8v = 0;} 
     
     if (MaH13v < MaH1pr3v){H13v = chr234;    co13v = Red;         u1x13v = 0; d1x13v = 1;}
     if (MaH13v > MaH1pr3v){H13v = chr233;    co13v = DodgerBlue;  u1x13v = 1; d1x13v = 0;}
     if (MaH13v ==MaH1pr3v){H13v = chr232;    co13v = Yellow;      u1x13v = 0; d1x13v = 0;}              
     if (MaH43v < MaH4pr3v){H43v = chr234;    co43v = Red;         u2x13v = 0; d2x13v = 1;}            
     if (MaH43v > MaH4pr3v){H43v = chr233;    co43v = DodgerBlue;  u2x13v = 1; d2x13v = 0;}
     if (MaH43v ==MaH4pr3v){H43v = chr232;    co43v = Yellow;      u2x13v = 0; d2x13v = 0;}            
     if (MaD13v < MaD1pr3v){D13v = chr234;    co63v = Red;         u3x13v = 0; d3x13v = 1;}            
     if (MaD13v > MaD1pr3v){D13v = chr233;    co63v = DodgerBlue;  u3x13v = 1; d3x13v = 0;}
     if (MaD13v ==MaD1pr3v){D13v = chr232;    co63v = Yellow;      u3x13v = 0; d3x13v = 0;}
     
     if (MaH14v < MaH1pr4v){H14v = chr234;    co14v = Red;         u1x21v = 0; d1x21v = 1;}
     if (MaH14v > MaH1pr4v){H14v = chr233;    co14v = DodgerBlue;  u1x21v = 1; d1x21v = 0;}
     if (MaH14v == MaH1pr4v){H14v = chr232;   co14v = Yellow;      u1x21v = 0; d1x21v = 0;}              
     if (MaH44v < MaH4pr4v){H44v = chr234;    co44v = Red;         u2x21v = 0; d2x21v = 1;}            
     if (MaH44v > MaH4pr4v){H44v = chr233;    co44v = DodgerBlue;  u2x21v = 1; d2x21v = 0;}
     if (MaH44v == MaH4pr4v){H44v = chr232;   co44v = Yellow;      u2x21v = 0; d2x21v = 0;}            
     if (MaD14v < MaD1pr4v){D14v = chr234;    co64v = Red;         u3x21v = 0; d3x21v = 1;}            
     if (MaD14v > MaD1pr4v){D14v = chr233;    co64v = DodgerBlue;  u3x21v = 1; d3x21v = 0;} 
     if (MaD14v == MaD1pr4v){D14v = chr232;   co64v = Yellow;      u3x21v = 0; d3x21v = 0;}  
     
     if (MaH15v < MaH1pr5v){H15v = chr234;    co15v = Red;         u1x34v = 0; d1x34v = 1;}
     if (MaH15v > MaH1pr5v){H15v = chr233;    co15v = DodgerBlue;  u1x34v = 1; d1x34v = 0;} 
     if (MaH15v == MaH1pr5v){H15v = chr232;   co15v = Yellow;      u1x34v = 0; d1x34v = 0;}             
     if (MaH45v < MaH4pr5v){H45v = chr234;    co45v = Red;         u2x34v = 0; d2x34v = 1;}            
     if (MaH45v > MaH4pr5v){H45v = chr233;    co45v = DodgerBlue;  u2x34v = 1; d2x34v = 0;}
     if (MaH45v == MaH4pr5v){H45v = chr232;   co45v = Yellow;      u2x34v = 0; d2x34v = 0;}            
     if (MaD15v < MaD1pr5v){D15v = chr234;    co65v = Red;         u3x34v = 0; d3x34v = 1;}            
     if (MaD15v > MaD1pr5v){D15v = chr233;    co65v = DodgerBlue;  u3x34v = 1; d3x34v = 0;}
     if (MaD15v == MaD1pr5v){D15v = chr232;   co65v = Yellow;      u3x34v = 0; d3x34v = 0;}                      
             
//----------------------------------------------------------------------------
 
double  acv  = iAC(NULL, argTimeFrame1, 0);
double  ac1v = iAC(NULL, argTimeFrame1, 1);
double  ac2v = iAC(NULL, argTimeFrame1, 2);
double  ac3v = iAC(NULL, argTimeFrame1, 3);
//double  ac4 = iAO(NULL, 0, 4);             
string ach11v;
color acco11v;
 
if ((ac1v>ac2v && ac2v>ac3v && acv<0 && acv>ac1v) || (acv>ac1v && ac1v>ac2v && acv>0))    {ach11v = chr233 ; acco11v = DodgerBlue; u1acv = 3; d1acv = 0;} 
if ((ac1v<ac2v && ac2v<ac3v && acv>0 && acv<ac1v) || (acv<ac1v && ac1v<ac2v && acv<0))    {ach11v = chr234 ; acco11v = Red; u1acv = 0; d1acv = 3;}
if ((((ac1v<ac2v || ac2v<ac3v) && acv<0 && acv>ac1v) || (acv>ac1v && ac1v<ac2v && acv>0))||
(((ac1v>ac2v || ac2v>ac3v) && acv>0 && acv<ac1v) || (acv<ac1v && ac1v>ac2v && acv<0)))     {ach11v = chr232 ; acco11v = Yellow; u1acv = 0; d1acv = 0;}    


double  ac03v = iAC(NULL, argTimeFrame3, 0);
double  ac13v = iAC(NULL, argTimeFrame3, 1);
double  ac23v = iAC(NULL, argTimeFrame3, 2);
double  ac33v = iAC(NULL, argTimeFrame3, 3);
//double  ac4 = iAO(NULL, 0, 4);             
string ach13v;
color acco13v;
 
if ((ac13v>ac23v && ac23v>ac33v && ac03v<0 && ac03v>ac13v) || (ac03v>ac13v && ac13v>ac23v && ac03v>0)) 
{ach13v = chr233 ; acco13v = DodgerBlue; u3acv = 3; d3acv = 0;}     
if ((ac13v<ac23v && ac23v<ac33v && ac03v>0 && ac03v<ac13v) || (ac03v<ac13v && ac13v<ac23v && ac03v<0)) 
{ach13v = chr234 ; acco13v = Red; u3acv = 0; d3acv = 3;}     
if ((((ac13v<ac23v || ac23v<ac33v) && ac03v<0 && ac03v>ac13v) || (ac03v>ac13v && ac13v<ac23v && ac03v>0))||
(((ac13v>ac23v || ac23v>ac33v) && ac03v>0 && ac03v<ac13v) || (ac03v<ac13v && ac13v>ac23v && ac03v<0)))
{ach13v = chr232 ; acco13v = Yellow; u3acv = 0; d3acv = 0;}
 
double  ac02v = iAC(NULL, argTimeFrame2, 0);
double  ac12v = iAC(NULL, argTimeFrame2, 1);
double  ac22v = iAC(NULL, argTimeFrame2, 2);
double  ac32v = iAC(NULL, argTimeFrame2, 3);
//double  ac4 = iAO(NULL, 0, 4);             
string ach12v;
color acco12v;
 
if ((ac12v>ac22v && ac22v>ac32v && ac02v<0 && ac02v>ac12v) || (ac02v>ac12v && ac12v>ac22v && ac02v>0)) 
{ach12v = chr233 ; acco12v = DodgerBlue; u2acv = 3; d2acv = 0;}     
if ((ac12v<ac22v && ac22v<ac32v && ac02v>0 && ac02v<ac12v) || (ac02v<ac12v && ac12v<ac22v && ac02v<0)) 
{ach12v = chr234 ; acco12v = Red; u2acv = 0; d2acv = 3;}     
if ((((ac12v<ac22v || ac22v<ac32v) && ac02v<0 && ac02v>ac12v) || (ac02v>ac12v && ac12v<ac22v && ac02v>0))||
(((ac12v>ac22v || ac22v>ac32v) && ac02v>0 && ac02v<ac12v) || (ac02v<ac12v && ac12v>ac22v && ac02v<0)))
{ach12v = chr232 ; acco12v = Yellow; u2acv = 0; d2acv = 0;}

  double uitog1v = (u1x5v + u1x8v + u1x13v + u1x21v + u1x34v + u1acv) * 12.5;
  double uitog2v = (u2x5v + u2x8v + u2x13v + u2x21v + u2x34v + u2acv) * 12.5;
  double uitog3v = (u3x5v + u3x8v + u3x13v + u3x21v + u3x34v + u3acv) * 12.5;
  
  double ditog1v = (d1x5v + d1x8v + d1x13v + d1x21v + d1x34v + d1acv) * 12.5;
  double ditog2v = (d2x5v + d2x8v + d2x13v + d2x21v + d2x34v + d2acv) * 12.5;
  double ditog3v = (d3x5v + d3x8v + d3x13v + d3x21v + d3x34v + d3acv) * 12.5;
  
  string txtv="Neutral";
  color ctxtv=Yellow;
  int Return=0;
  if (uitog1v > 50 && uitog2v > 50 && uitog3v > 50)      {Return =  1; txtv = "BUY";         ctxtv=Lime;}
  if (ditog1v > 50 && ditog2v > 50 && ditog3v > 50)      {Return = -1; txtv = "SELL";        ctxtv=Red;}
  if (uitog1v >= 75 && uitog2v >= 75 && uitog3v >= 75)   {Return =  2; txtv = "Strong BUY";  ctxtv=Lime;}
  if (ditog1v >= 75 && ditog2v >= 75 && ditog3v >= 75)   {Return = -2; txtv = "Strong SELL"; ctxtv=Red;}
  
   if(!Display) return(Return);
   
   // below only used for indicators 
   int xpos,xinc,ypos,yinc,xoffset,yoffset;
   int screensize=0;  
   if(argFormName=="")     {xoffset=1130-screensize;    yoffset=0;}            //to wrap text on main form   
   Create_Label(xoffset+45,15,"Mav",argFormName);
   ObjectSetText("Mav","Moving Averages",11, "Arial Black", White );  
   
   Create_Label(xoffset+5,45,"label_object1v",argFormName);
   ObjectSetText("label_object1v", Time_Frame(argTimeFrame1),11, "Arial Black", White );
   Create_Label(xoffset+5,60,"label_object2v",argFormName);
   ObjectSetText("label_object2v", Time_Frame(argTimeFrame2),11, "Arial Black", White );
   Create_Label(xoffset+5,75,"label_object3v",argFormName);
   ObjectSetText("label_object3v", Time_Frame(argTimeFrame3),11, "Arial Black", White );
  
   Create_Label(xoffset+40,30,"Mav1",argFormName);
   ObjectSetText("Mav1",StringConcatenate(argTrendPeriod1,""),11, "Arial Black", White ); 
   Create_Label(xoffset+70,30,"Mav2",argFormName);
   ObjectSetText("Mav2",StringConcatenate(argTrendPeriod2,""),11, "Arial Black", White ); 
   Create_Label(xoffset+100,30,"Mav3",argFormName);
   ObjectSetText("Mav3",StringConcatenate(argTrendPeriod3,""),11, "Arial Black", White ); 
   Create_Label(xoffset+130,30,"Mav4",argFormName);
   ObjectSetText("Mav4",StringConcatenate(argTrendPeriod4,""),11, "Arial Black", White ); 
   Create_Label(xoffset+160,30,"Mav5",argFormName);
   ObjectSetText("Mav5",StringConcatenate(argTrendPeriod5,""),11, "Arial Black", White ); 
    
   ypos=45;
   Create_Label(xoffset+40,ypos,"H11v",argFormName);
   Create_Label(xoffset+70,ypos,"H12v",argFormName);
   Create_Label(xoffset+100,ypos,"H13v",argFormName);
   Create_Label(xoffset+130,ypos,"H14v",argFormName);
   Create_Label(xoffset+160,ypos,"H15v",argFormName);   
   
   ypos=60;
   Create_Label(xoffset+40,ypos,"H41v",argFormName);
   Create_Label(xoffset+70,ypos,"H42v",argFormName);
   Create_Label(xoffset+100,ypos,"H43v",argFormName);
   Create_Label(xoffset+130,ypos,"H44v",argFormName);
   Create_Label(xoffset+160,ypos,"H45v",argFormName);  
   
   ypos=75;
   Create_Label(xoffset+40,ypos,"D11v",argFormName);
   Create_Label(xoffset+70,ypos,"D12v",argFormName);
   Create_Label(xoffset+100,ypos,"D13v",argFormName);
   Create_Label(xoffset+130,ypos,"D14v",argFormName);
   Create_Label(xoffset+160,ypos,"D15v",argFormName); 
   
   ObjectSetText("H11v", H11v ,11, "Wingdings", co11v );
   ObjectSetText("H12v", H12v ,11, "Wingdings", co12v );
   ObjectSetText("H13v", H13v ,11, "Wingdings", co13v );
   ObjectSetText("H14v", H14v ,11, "Wingdings", co14v );
   ObjectSetText("H15v", H15v ,11, "Wingdings", co15v );
       
   ObjectSetText("H41v", H41v ,11, "Wingdings", co41v );
   ObjectSetText("H42v", H42v ,11, "Wingdings", co42v );
   ObjectSetText("H43v", H43v ,11, "Wingdings", co43v );
   ObjectSetText("H44v", H44v ,11, "Wingdings", co44v );
   ObjectSetText("H45v", H45v ,11, "Wingdings", co45v );
             
   ObjectSetText("D11v", D11v ,11, "Wingdings", co61v );
   ObjectSetText("D12v", D12v ,11, "Wingdings", co62v );
   ObjectSetText("D13v", D13v ,11, "Wingdings", co63v );
   ObjectSetText("D14v", D14v ,11, "Wingdings", co64v );
   ObjectSetText("D15v", D15v ,11, "Wingdings", co65v ); 
  
   
   if(argFormName=="")     {xoffset=950-screensize;    yoffset=80;}            //to wrap text on main form
   Create_Label(xoffset+192,yoffset+30,"Acc",argFormName);
   ObjectSetText("Acc","AC.        Overall",11, "Arial Black", White );  
              
   Create_Label(xoffset+200,yoffset+45,"AC11v",argFormName);
   Create_Label(xoffset+200,yoffset+60,"AC12v",argFormName);
   Create_Label(xoffset+200,yoffset+75,"AC13v",argFormName);
   
   ObjectSetText("AC11v", ach11v,11, "Wingdings", acco11v );
   ObjectSetText("AC12v", ach12v,11, "Wingdings", acco12v ); 
   ObjectSetText("AC13v", ach13v,11, "Wingdings", acco13v );
   
  string hr1v, hr2v, hr3v, hr4v, hr5v,hr6v;
  string dhr1v, dhr2v, dhr3v, dhr4v, dhr5v, dhr6v;
  if (uitog1v> ditog1v) {hr1v = "Arial Black"; dhr1v = "Arial Black";}
  if (uitog1v< ditog1v) {hr1v = "Ariel Black"; dhr1v = "Arial Black";}
  if (uitog1v == ditog1v) {hr1v = "Ariel Black"; dhr1v = "Ariel Black";}
  
  if (uitog2v> ditog2v) {hr2v = "Arial Black"; dhr2v = "Ariel Black";}
  if (uitog2v< ditog2v) {hr2v = "Ariel Black"; dhr2v = "Arial Black";}
  if (uitog2v == ditog2v) {hr2v = "Ariel Black"; dhr2v = "Ariel Black";}
  
  if (uitog3v> ditog3v) {hr3v = "Arial Black"; dhr3v = "Ariel Black";}
  if (uitog3v< ditog3v) {hr3v = "Ariel Black"; dhr3v = "Arial Black";}
  if (uitog3v == ditog3v) {hr3v = "Ariel Black"; dhr3v = "Ariel Black";}
  
   Create_Label(xoffset+235,yoffset+45,"uitog1v",argFormName);
   ObjectSetText("uitog1v", chr233,12, "Wingdings", DodgerBlue );
    
   Create_Label(xoffset+235,yoffset+60,"uitog2v",argFormName);
   ObjectSetText("uitog2v", chr233,12, "Wingdings", DodgerBlue );
  
   Create_Label(xoffset+235,yoffset+75,"uitog3v",argFormName);
   ObjectSetText("uitog3v", chr233,12, "Wingdings", DodgerBlue );
   
   Create_Label(xoffset+310,yoffset+45,"ditog1v",argFormName);
   ObjectSetText("ditog1v", chr234,12, "Wingdings", Red );
   
   Create_Label(xoffset+310,yoffset+60,"ditog2v",argFormName);
   ObjectSetText("ditog2v", chr234,12, "Wingdings", Red );
  
   Create_Label(xoffset+310,yoffset+75,"ditog3v",argFormName);
   ObjectSetText("ditog3v", chr234,12, "Wingdings", Red );
   
   Create_Label(xoffset+250,yoffset+45,"uitog1va",argFormName);
   ObjectSetText("uitog1va", StringConcatenate( uitog1v, "%"),12, "Ariel Black", DodgerBlue );
    
   Create_Label(xoffset+250,yoffset+60,"uitog2va",argFormName);
   ObjectSetText("uitog2va", StringConcatenate(uitog2v, "%"),12, "Ariel Black", DodgerBlue );
  
   Create_Label(xoffset+250,yoffset+75,"uitog3va",argFormName);
   ObjectSetText("uitog3va", StringConcatenate(uitog3v, "%"),12, "Ariel Black", DodgerBlue );
   
   Create_Label(xoffset+325,yoffset+45,"ditog1va",argFormName);
   ObjectSetText("ditog1va", StringConcatenate( ditog1v, "%"),12, "Ariel Black", Red );
   
   Create_Label(xoffset+325,yoffset+60,"ditog2va",argFormName);
   ObjectSetText("ditog2va", StringConcatenate(ditog2v, "%"),12, "Ariel Black", Red );
  
   Create_Label(xoffset+325,yoffset+75,"ditog3va",argFormName);
   ObjectSetText("ditog3va", StringConcatenate(ditog3v, "%"),12, "Ariel Black", Red );

   if(argFormName=="")     {xoffset=750-screensize;    yoffset=160;}            //to wrap text on main form   
   Create_Label(xoffset+410,yoffset+30,"Signal",argFormName);
   ObjectSetText("Signal","Signal",11, "Arial Black", White );  
   Create_Label(xoffset+410,yoffset+50,"txtv",argFormName);
   ObjectSetText("txtv", txtv,14, "Arial Black", ctxtv);
   
   return(Return);
}    

